UserBelonging (gCube Join New Portlet 1.0.0-SNAPSHOT API)
Date: 2013-01-11

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.gcube.portlets.user.joinnew.shared
Enum UserBelonging

    java.lang.Object
      java.lang.Enum<UserBelonging>
          org.gcube.portlets.user.joinnew.shared.UserBelonging

All Implemented Interfaces:
  Serializable, Comparable<UserBelonging>

    public enum UserBelonging

extends Enum<UserBelonging>

Enum Constant Summary
`BELONGING`
`NOT_BELONGING`
`PENDING`

Method Summary
`static UserBelonging` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static UserBelonging[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BELONGING

    public static final UserBelonging BELONGING

### NOT_BELONGING

    public static final UserBelonging NOT_BELONGING

### PENDING

    public static final UserBelonging PENDING

Method Detail

### values

    public static UserBelonging[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (UserBelonging c : UserBelonging.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static UserBelonging valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2013. All Rights Reserved.